<div class="mobile-content">
    <section>
        <ng-container *ngIf="type === 'iit'">
            <h1>IIT aanvragen</h1>
            <p>
                Wil je met op basis van de gegevens die je zojuist hebt gecontroleerd Individuele Inkomstentoeslag
                aanvragen bij de gemeente?
            </p>
            <form #iitForm="ngForm" class="radio-form">
                <label for="yes-iit"><input type="radio" [(ngModel)]="doIit" name="yes-iit" id="yes-iit"
                        [value]="true">Ja</label>
                <label for="no-iit"> <input type="radio" [(ngModel)]="doIit" name="no-iit" id="no-iit"
                        [value]="false">Nee</label>
            </form>
            <div class="button-container">
                <button class="primary" (click)=handleAction() [disabled]="!iitForm.dirty">Volgende</button>
            </div>
        </ng-container>
        <ng-container *ngIf="type === 'budget'">
            <h1>Maandoverzicht inkomsten en uitgaven maken</h1>
            <p>
                Wil je met op basis van de gegevens die je zojuist hebt gecontroleerd doorgaan met het maken van een
                overzicht van
                inkomsten/uitgaven?
            </p>
            <form class="radio-form" #budgetForm="ngForm">
                <label for="yes-budget"><input type="radio" [(ngModel)]="doBudget" name="yes-budget" id="yes-budget"
                        [value]="true">Ja</label>
                <label for="no-budget"><input type="radio" [(ngModel)]="doBudget" name="no-budget" id="no-budget"
                        [value]="false">Nee</label>
            </form>
            <div class="button-container">
                <button class="primary" (click)=handleAction() [disabled]="!budgetForm.dirty">Volgende</button>
            </div>
        </ng-container>
        <ng-container *ngIf="type === 'done'">
            <h1>Klaar!</h1>
            <p>
                Je kunt dit scherm nu verlaten.
            </p>
        </ng-container>
    </section>

</div>


<app-alert (onHide)="toNext()" [show]="showIitAlert" [title]="'Gelukt!'"
    [message]="'Individuele Inkomstentoeslag aangevraagd'"></app-alert>
<app-alert (onHide)="toNext()" [show]="showBudgetAlert" [title]="'Data gedeeld!'"
    [message]="'Ga nu verder op het grote scherm'">
</app-alert>